Option Compare Binary
Option Explicit On 
Option Strict On

Imports PlugInSupport
Imports System

''' <summary>
'''   Die Hauptklasse der Erweiterung.
''' </summary>
Public Class Main
    Implements IPlugIn

    Private m_Text As String
    Private m_Times As Integer

    ''' <summary>
    '''   Erstellt eine neue Instanz der Klasse.
    ''' </summary>
    Public Sub New()
        Console.WriteLine("'SamplePlugIn' loaded with parameterless constructor.")
        m_Times = 1
        m_Text = "Good Morning"
    End Sub

    ''' <summary>
    '''   Erstellt eine neue Instanz der Klasse.
    ''' </summary>
    ''' <param name="Times">Anzahl der Schreibvorgnge.</param>
    ''' <param name="Text">Zu schreibender Text.</param>
    Public Sub New(ByVal Times As Integer, ByVal Text As String)
        Console.WriteLine("'SamplePlugIn' loaded with parameterized contsructor.")
        m_Times = Times
        m_Text = Text
    End Sub

    ''' <summary>
    '''   Schreibt einen Gruss auf die Konsole.
    ''' </summary>
    ''' <param name="Name">
    '''   Der Name der Person, der der Gruss gelten soll.
    ''' </param>
    Public Sub SayHello(ByVal Name As String) Implements IPlugIn.SayHello
        For i As Integer = 1 To m_Times
            Console.WriteLine("{0} {1}!", m_Text, Name)
        Next i
    End Sub

    ''' <summary>
    '''   Gibt den Text, der auf die Konsole geschrieben werden soll, an
    '''   oder gibt ihn zurck.
    ''' </summary>
    ''' <value>Der zu schreibende Text.</value>
    Public Property Text() As String Implements IPlugIn.Text
        Get
            Return m_Text
        End Get
        Set(ByVal Value As String)
            m_Text = Value
        End Set
    End Property

    ''' <summary>
    '''   Gibt die Anzahl der Schreibvorgnge an oder gibt sie zurck.
    ''' </summary>
    ''' <value>Die Anzahl mit der der Text geschrieben werden soll.</value>
    Public Property Times() As Integer Implements IPlugIn.Times
        Get
            Return m_Times
        End Get
        Set(ByVal Value As Integer)
            m_Times = Value
        End Set
    End Property
End Class