'
' In den Projekteigenschaften muss der Stammnamensraum auf "PlugIn"
' eingestellt sein.
'
Option Compare Binary
Option Explicit On 
Option Strict On

Imports System

''' <summary>
'''   Die Hauptklasse der Erweiterung.
''' </summary>
Public Class Main
    Private m_Times As Integer
    Private m_Text As String

    ''' <summary>
    '''   Erstellt eine neue Instanz der Klasse.
    ''' </summary>
    Public Sub New()
        Console.WriteLine("'SamplePlugIn' loaded with parameterless constructor.")
        m_Times = 1
        m_Text = "Good Morning"
    End Sub

    ''' <summary>
    '''   Erstellt eine neue Instanz der Klasse.
    ''' </summary>
    ''' <param name="Times">Die Anzahl der Schreibvorgnge.</param>
    ''' <param name="Text">Der zu schreibende Text.</param>
    Public Sub New(ByVal Times As Integer, ByVal Text As String)
        Console.WriteLine("'SamplePlugIn' loaded with parameterized contsructor.")
        m_Times = Times
        m_Text = Text
    End Sub

    ''' <summary>
    '''   Schreibt einen Gruss auf die Konsole.
    ''' </summary>
    ''' <param name="Name">
    '''   Der Name der Person, der der Gruss gelten soll.
    ''' </param>
    Public Sub SayHello(ByVal Name As String)
        For i As Integer = 1 To m_Times
            Console.WriteLine("{0} {1}!", m_Text, Name)
        Next i
    End Sub

    ' Auf eine Implementierung der Eigenschaften 'Text' und 'Times' wird
    ' hier verzichtet.
End Class